javax.jms

## Interface XATopicConnection

- All Superinterfaces:
    AutoCloseable, Connection, TopicConnection, XAConnection

      public interface XATopicConnection
      extends XAConnection, TopicConnection

  An `XATopicConnection` provides the same create options as `TopicConnection` (optional). The Topic connections created are transactional.

  The `XATopicConnection` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

  Since:
    JMS 1.0
  Version:
    JMS 2.0
  See Also:
    `XAConnection`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)` Creates a `TopicSession` object.
    `XATopicSession` | `createXATopicSession()` Creates an `XATopicSession` object.

    - ### Methods inherited from interface javax.jms.XAConnection

      `createSession, createXASession`

    - ### Methods inherited from interface javax.jms.TopicConnection

      `createConnectionConsumer, createDurableConnectionConsumer`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Method Detail

    - #### createXATopicSession

          XATopicSession createXATopicSession()
                                              throws JMSException

      Creates an `XATopicSession` object.
      Returns:
        a newly created `XATopicSession`
      Throws:
        `JMSException` - if the `XATopicConnection` object fails to create an `XATopicSession` due to some internal error.

    - #### createTopicSession

          TopicSession createTopicSession(boolean transacted,
                                        int acknowledgeMode)
                                          throws JMSException

      Creates a `TopicSession` object.
      Specified by:
        `createTopicSession` in interface `TopicConnection`
      Parameters:
        `transacted` - usage undefined
        `acknowledgeMode` - usage undefined
      Returns:
        a newly created `TopicSession`
      Throws:
        `JMSException` - if the `XATopicConnection` object fails to create a `TopicSession` due to some internal error.
      See Also:
        `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.